Bug 56509 - gdyntext can crash gimp
Summary: gdyntext can crash gimp
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gimp   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-20 11:20 UTC by Tim Waugh
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-16 16:38:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-11-20 11:20:05 UTC
Description of Problem:
When using the gdyntext plug-in, it's possible to confuse it to the 
extent that it crashes gimp.

Version-Release number of selected component (if applicable):
1.2.1-7

How Reproducible:
100%

Steps to Reproduce:
1. Create new canvas.
2. Double-click on text tool, check 'Use Dynamic Text'.
3. Click in canvas
4. Select a font and some text ('abc' or something).
5. Click 'Apply'.
6. Close the canvas window without saving changes.
7. Create new canvas.
8. Click 'Apply' in the gdyntext box.

Actual Results:
*BANG*

Expected Results:
'abc' appears in new canvas, or a dialog box, or anything but a crash.

Additional Information:

Comment 1 Matt Wilson 2002-12-15 00:27:00 UTC
did you report this in upstream GIMP bugzilla?


Comment 2 Matt Wilson 2003-10-16 16:38:44 UTC
please report upstream if this is still a problem



Note You need to log in before you can comment on or make changes to this bug.